"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.formatNumToThousands = exports.isMobile = exports.formatTime = void 0;

var _moment = _interopRequireDefault(require("moment"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * @param seconds 为数字时，代表时间戳，单位为: s
 * @param rule
 */
var formatTime = function formatTime(seconds) {
  var rule = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'YYYY-MM-DD HH:mm:ss';
  if (!seconds) return '';
  if (typeof seconds === 'number') return (0, _moment.default)(seconds * 1000).format(rule);
  return (0, _moment.default)(seconds, 'YYYYMMDDHHmmss').format(rule);
};

exports.formatTime = formatTime;

var isMobile = function isMobile() {
  return /(iPhone|iPad|iPod|iOS|Android)/i.test(window.navigator.userAgent);
};
/** 格式化数字为 xxx,xxx,xxx */


exports.isMobile = isMobile;

var formatNumToThousands = function formatNumToThousands(value) {
  if (value === undefined || value === null) return '';
  return !Number.isNaN(value) ? value === null || value === void 0 ? void 0 : value.toString().replace(new RegExp(/(?<=-?\d)(?=(\d{3})+(\.{1}\d+)?$)/, 'g'), ',') : value;
};

exports.formatNumToThousands = formatNumToThousands;