"use strict";
exports.__esModule = true;
exports.formatNumToThousands = exports.isMobile = exports.formatTime = void 0;
var moment_1 = require("moment");
/**
 * @param seconds 为数字时，代表时间戳，单位为: s
 * @param rule
 */
exports.formatTime = function (seconds, rule) {
    if (rule === void 0) { rule = 'YYYY-MM-DD HH:mm:ss'; }
    if (!seconds)
        return '';
    if (typeof seconds === 'number')
        return moment_1["default"](seconds * 1000).format(rule);
    return moment_1["default"](seconds, 'YYYYMMDDHHmmss').format(rule);
};
exports.isMobile = function () {
    return /(iPhone|iPad|iPod|iOS|Android)/i.test(window.navigator.userAgent);
};
/** 格式化数字为 xxx,xxx,xxx */
exports.formatNumToThousands = function (value) {
    if (value === undefined || value === null)
        return '';
    return !Number.isNaN(value)
        ? value === null || value === void 0 ? void 0 : value.toString().replace(new RegExp(/(?<=-?\d)(?=(\d{3})+(\.{1}\d+)?$)/, 'g'), ',') : value;
};
